/* 
CSS Background Property (Colour Values)
 */

#p-1 {
    background-color: #87cefa;
}

#p-2 {
    background-color: rgb(100%, 50%, 50%);
    /* background-color: rgba(255, 108, 180, 0.5); */
    width: 60%;
}

#p-3 {
    background-color: aquamarine;
    width: 40%;
}

.sample {
    display: inline-block;
    width: 30%;
    border: 1px solid black;
    text-align: center;
}


/* CSS Float Property */

#p-float {
    float: right;
    /* width: 50%; */
}


/* Float Demo */

.img-float {
    width: 250px;
    height: 250px;
    float: inherit;
}


/* #div-float {
    background-color: green;
    color: white;
}

#right {
    float: right;
}

#right>p {
    display: inline;
} */


/* CSS Units */

.box {
    background-color: red;
    border: 1px solid black;
    margin: 5px;
    padding: 10px;
}

.fifty-percent {
    width: 50%;
}

.one-hundred-pixels {
    width: 100px;
}

.parent {
    width: 500px;
    border: 2px solid navy;
    background-color: whitesmoke;
    font-size: 30px;
}

.fifty-vw {
    width: 50vw;
}

.twenty-five-vh {
    height: 25vh;
}


/* EM vs REM */

.one-rem {
    font-size: 1rem;
}

.one-em {
    font-size: 1em;
}

.two-rem {
    font-size: 2rem;
}

.two-em {
    font-size: 2em;
}

.two-hundred-percent {
    font-size: 200%;
}


/* 
CSS Bckground Property (Image)
*/

.background {
    min-height: 20rem;
    /* background-color: gray; */
    background-image: url(https://cutewallpaper.org/22/your-name-aesthetic-desktop-wallpapers/2954230375.jpg);
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center bottom;
    background-attachment: fixed;
}

.bg-title {
    color: white;
    text-align: center;
    font-size: 5em;
    line-height: 35rem;
}

.container-bg {
    background-color: rgba(0, 0, 0, 0.5);
    min-height: 100vh;
}


/* CSS Positioning */

.parent-element {
    background-color: skyblue;
    padding: 10px;
    position: relative;
    height: 800vh;
}

.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    position: sticky;
    left: 10px;
    /* bottom: 10px; */
    top: 10px;
}

.child-three {
    background-color: gray;
    padding: 10px;
}

html {
    height: 800vh;
}


/* Z-index */

.container {
    position: relative;
}

.black-box {
    position: relative;
    border: 2px solid black;
    height: 100px;
    margin: 30px;
    z-index: 1;
}

.gray-box {
    position: absolute;
    background: lightgray;
    height: 60px;
    width: 70%;
    left: 50px;
    top: 50px;
}

.green-box {
    position: absolute;
    background: lightgreen;
    width: 35%;
    left: 270px;
    top: -15px;
    height: 100px;
}